> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Categories

> Retrieves a list of categories according to any specified filter criteria and sort options. This current version of the Categories API includes localizedContent to support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the previous API model. If you were a client prior to May 2024 and have upgraded your implementation to support this feature, you can still access category data that has not yet been rewritten to the new model by providing an x-api-version header set to "1". 



## OpenAPI

````yaml /openapi/openapi_catalog_admin.json get /commerce/catalog/admin/categories
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_ADMIN">
                <h2>CATALOG ADMINISTRATION</h2>
                <p>The Catalog Administration APIs are a collection of resources for configuring the catalogs and products offered to your shoppers, including
                    discounts and coupon sets, faceting, price lists, and different types or variations of products. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Attributes</strong> resource to manage localization and attribute configurations for your catalogs. This current version of the Attributes API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access attribute data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Categories</strong> resource to organize products and control where they appear on the storefront. Create
                    and maintain a hierarchy of categories and subcategories where the site will store properties. This current version of the Categories API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access category data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Coupon Sets</strong> resource to view and create coupon sets. You can use coupon sets to group multiple
                    coupon codes together and associate them with one or more discounts.</p>
                <p>Use the <strong>Currency</strong> resource to manage the currency localization rules and exchange rates for any of the
                    currencies that are supported for placing orders in.</p>
                <p>Use the <strong>Discounts</strong> and <strong>Discount Settings</strong> resources to define and manage discounts to apply to products, product categories, or
                    orders. This current version of the Discounts API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access discount data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Facets</strong> resource to manage the facets shoppers use to filter product display results on a
                    storefront. Facets can include categories, product attributes, or prices, and use either a range of
                    values or discrete values.</p>
                <p>Use the <strong>Master Catalog</strong> resource to view details of the master catalogs associated with a tenant and to
                    manage the product publishing mode for each master catalog.</p>
                <p>Use the <strong>Price Lists</strong> resources to view and create price lists. You can use price lists to override the
                    catalog pricing of products for specific customer segments and/or sites.</p>
                <p>Use the <strong>Products</strong>, <strong>Product Types/Extras/Options/Properties</strong>, and <strong>Product Sort Definitions</strong> resources to create new product definitions in the master catalog and determine which
                    catalogs will feature products. This current version of the Products API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access product data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1".</p>
                <p>Use the <strong>Publishing</strong> resource to publish pending product updates together as part of a set.</p>
                <p>Use the <strong>Search</strong> resource to manage all settings and options for providing product search on your site, as
                    well as search tuning rules.</p>
            </div>
  title: Catalog Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/admin/categories:
    get:
      tags:
        - Categories
      summary: Get Categories
      description: >-
        Retrieves a list of categories according to any specified filter
        criteria and sort options. This current version of the Categories API
        includes localizedContent to support <a
        href="/pages/catalog-structure#multi-locale-catalogs">multi-locale
        catalogs</a>, which was not present in the previous API model. If you
        were a client prior to May 2024 and have upgraded your implementation to
        support this feature, you can still access category data that has not
        yet been rewritten to the new model by providing an x-api-version header
        set to "1". 
      parameters:
        - description: >-
            Used to page results from a query. Indicates the zero-based offset
            in the complete result set where the returned entities begin. The
            default value is 0.
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: >-
            Used to page results from a query. Indicates the maximum number of
            entities to return from a query. The default value is 20 and the
            maximum value is 200.
          in: query
          name: pageSize
          schema:
            default: 0
            format: int32
            type: integer
        - description: >-
            The element to sort the results by and the order in which the
            results appear. Either ascending (a-z) or descending (z-a) order.
          in: query
          name: sortBy
          schema:
            type: string
        - description: >-
            A set of filter expressions representing the search parameters for a
            query: eq=equals, ne=not equals, gt=greater than, lt = less than or
            equals, gt = greater than or equals, lt = less than or equals, sw =
            starts with, or cont = contains. Optional.
          in: query
          name: filter
          schema:
            type: string
        - in: query
          name: includeAttributes
          schema:
            default: false
            type: boolean
        - description: ''
          in: query
          name: responseGroups
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogAdminsCategoryPagedCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/CatalogAdminsCategoryPagedCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/CatalogAdminsCategoryPagedCollection'
          description: OK
components:
  schemas:
    CatalogAdminsCategoryPagedCollection:
      description: >-
        Collection of categories where categories are returned in a series of
        pages.
      properties:
        items:
          items:
            $ref: '#/components/schemas/CatalogAdminsCategory'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    CatalogAdminsCategory:
      description: Category
      properties:
        activeDateEnd:
          description: Active end Date
          format: date-time
          nullable: true
          type: string
        activeDateStart:
          description: Active Start Date
          format: date-time
          nullable: true
          type: string
        attributes:
          description: List of attributes for the category.
          items:
            $ref: '#/components/schemas/CatalogAdminsCategoryAttribute'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        catalogId:
          description: The CatalogId that the category belongs to.
          format: int32
          nullable: true
          type: integer
        categoryCode:
          description: External unique identifier of the category.
          nullable: true
          type: string
        categoryType:
          description: The Type of Category Static, Dyanmic, DynamicPreComputed
          nullable: true
          type: string
        childCount:
          description: >-
            Number of subcategories that belong to this category. These
            subcategories are at the same level (siblings).
          format: int32
          nullable: true
          type: integer
        content:
          $ref: '#/components/schemas/CategoryLocalizedContent'
        dynamicExpression:
          $ref: '#/components/schemas/CatalogAdminsCustomerDynamicExpression'
        id:
          description: >-
            Internal unique identifier of the category. System-supplied and
            read-only.
          format: int32
          nullable: true
          type: integer
        isActive:
          description: >-
            If false, the category is considered unavailable in runtime (default
            is true if not specified on create)
          nullable: true
          type: boolean
        isDisplayed:
          description: If true, the category appears to shoppers on the storefront.
          nullable: true
          type: boolean
        localizedContent:
          description: >-
            Container for language-specific content to display on the
            storefront. You'll have a container for each supported language
            (LocaleCode). 

            This enables you to display a category in multiple languages yet
            manage it as a single category internally.
          items:
            $ref: '#/components/schemas/CategoryLocalizedContent'
          nullable: true
          type: array
        parentCategoryCode:
          nullable: true
          type: string
        parentCategoryId:
          description: >-
            Unique identifier of the category to which this category belongs. If
            nil, this is a top-level category. System-supplied and read-only.
          format: int32
          nullable: true
          type: integer
        parentCategoryName:
          nullable: true
          type: string
        parentIsActive:
          nullable: true
          type: boolean
        productCount:
          description: >-
            Number of products contained in this category. This count includes
            all products contained in any subcategories of this category.
          format: int32
          nullable: true
          type: integer
        sequence:
          description: >-
            Order in which categories appear when they are at the same level
            (siblings). For example, you could change the sequence of categories
            so that a specific category always appears first.
          format: int32
          nullable: true
          type: integer
        shouldSlice:
          description: If True, search displays sliced view
          nullable: true
          type: boolean
      type: object
    CatalogAdminsCategoryAttribute:
      properties:
        attributeDefinitionId:
          format: int32
          nullable: true
          type: integer
        fullyQualifiedName:
          nullable: true
          type: string
        values:
          items: {}
          nullable: true
          type: array
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CategoryLocalizedContent:
      description: >-
        Container for language-specific content to display on the storefront.
        You'll have a container for each supported language (LocaleCode). This
        enables you to display a category in multiple languages yet manage it as
        a single category internally.
      properties:
        categoryImages:
          description: List of images associated with the category.
          items:
            $ref: '#/components/schemas/CategoryLocalizedImage'
          nullable: true
          type: array
        description:
          description: Description of the category to display on the storefront.
          nullable: true
          type: string
        localeCode:
          description: >-
            Lanugage used for category content. Currently, only en_US is
            supported.
          nullable: true
          type: string
        metaTagDescription:
          description: >-
            Metadata description. Metadata can be used to manage information
            internally. Sometimes used for SEO.
          nullable: true
          type: string
        metaTagKeywords:
          description: >-
            Metadata keywords. Metadata can be used to manage information
            internally. Sometimes used for SEO.
          nullable: true
          type: string
        metaTagTitle:
          description: >-
            Metadata title. Metadata can be used to manage information
            internally. Sometimes used for SEO.
          nullable: true
          type: string
        name:
          description: Name of the category.
          nullable: true
          type: string
        pageTitle:
          description: Title that appears at the top of new pages.
          nullable: true
          type: string
        slug:
          description: >-
            Human-readable identifier that you can give to the category to
            create friendly URLs. For example, 

            instead of "http: //example.com/products?category=2&id=25," the
            friendly URL can be "http: //example.com/products/category/2/25."
          nullable: true
          type: string
      type: object
    CatalogAdminsCustomerDynamicExpression:
      description: Category
      properties:
        text:
          nullable: true
          type: string
        tree:
          $ref: '#/components/schemas/CatalogAdminsExpression'
      type: object
    CategoryLocalizedImage:
      description: >-
        Contains the image label and alternate text for a category image or
        video in the language specified by LocalCode.
      properties:
        altText:
          description: >-
            Descriptive text associated with the image or video that appears on
            the storefront.
          nullable: true
          type: string
        cmsId:
          description: Id of the image in the CMS.
          nullable: true
          type: string
        id:
          description: Unique identifier of the image. System-supplied and read-only.
          format: int32
          nullable: true
          type: integer
        imageLabel:
          description: Image title that appears on the storefront.
          nullable: true
          type: string
        imageUrl:
          description: URL of the image.
          nullable: true
          type: string
        localeCode:
          description: Language used for the image content.
          nullable: true
          type: string
        mediaType:
          description: >-
            Type of media. Used by the client to determine how to render the
            image or video or what have you.
          nullable: true
          type: string
        sequence:
          description: >-
            For categories with multiple images, the order in which this image
            appears on the storefront.
          format: int32
          nullable: true
          type: integer
        videoUrl:
          description: URL of a video associated with the category.
          nullable: true
          type: string
      type: object
    CatalogAdminsExpression:
      properties:
        left:
          description: The field target of a predicate
          nullable: true
          type: string
        logicalOperator:
          description: And or Or (if Container with More than one Node)
          nullable: true
          type: string
        nodes:
          items:
            $ref: '#/components/schemas/CatalogAdminsExpression'
          nullable: true
          type: array
        operator:
          description: The operator of a predicate
          nullable: true
          type: string
        right:
          description: The literal values of a predicate
          nullable: true
        type:
          description: Container or Predicate
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````